import React, { PropsWithChildren } from "react";
declare const transitions: {
    fromBottom: import("framer-motion").Variants;
    fromTop: import("framer-motion").Variants;
    fromLeft: import("framer-motion").Variants;
    fromRight: import("framer-motion").Variants;
    popIn: import("framer-motion").Variants;
    fromLeftToRight: import("framer-motion").Variants;
    fromRightToLeft: import("framer-motion").Variants;
    fade: import("framer-motion").Variants;
};
export type AnimatedPresenceTransitions = keyof typeof transitions;
interface AnimatedPresenceProps extends Required<PropsWithChildren> {
    /**
     * The type of transition you can use.
     */
    readonly transition?: AnimatedPresenceTransitions;
    /**
     * Whether or not to animate the children on mount. By default it's set to false.
     */
    readonly initial?: boolean;
}
export declare function AnimatedPresence(props: AnimatedPresenceProps): React.JSX.Element;
export {};
