import React, { RefObject } from "react";
import { AnyOption, Option } from "../Autocomplete.types";
export interface DefaultMenuProps {
    readonly options: AnyOption[];
    readonly selectedOption?: Option;
    /**
     * Element that it's attached to when the menu opens.
     */
    readonly attachTo: RefObject<Element | null>;
    onOptionSelect(chosenOption?: Option): void;
    readonly visible?: boolean;
}
/**
 * Renders the default Menu for the Autocomplete component.
 */
export declare function DefaultMenu({ options, selectedOption, onOptionSelect, attachTo, visible, }: DefaultMenuProps): React.JSX.Element;
