import React, { PropsWithChildren } from "react";
import { UseRepositionMenu } from "../useRepositionMenu";
export interface BaseAutocompleteMenuWrapperInternalProps {
    readonly setMenuRef: UseRepositionMenu["setMenuRef"];
    readonly popperStyles: UseRepositionMenu["styles"];
    readonly attributes: UseRepositionMenu["attributes"];
    readonly targetWidth: UseRepositionMenu["targetWidth"];
    readonly visible?: boolean;
}
/**
 * Provides a wrapper for the Autocomplete menu that handles positioning and visibility.
 * @param attachTo - The element that the menu should be attached to.
 */
export declare function useAutocompleteMenu({ attachTo, }: {
    attachTo: React.RefObject<Element | null>;
}): {
    MenuWrapper: ({ children, visible, }: {
        children?: React.ReactNode;
        visible: boolean;
    }) => React.ReactElement;
    menuRef: HTMLElement | null;
};
export declare function BaseAutocompleteMenuWrapper(props: PropsWithChildren<BaseAutocompleteMenuWrapperInternalProps>): React.JSX.Element;
