import type { BoxProps } from "../Box.types";
type Size = BoxProps["padding"] | BoxProps["margin"];
export declare const getPaddingClassNames: typeof getClassNames;
export declare const getPaddingVars: typeof getVars;
export declare const getMarginClassNames: (size: Size) => string | undefined;
export declare const getMarginVars: (size: Size) => Record<string, string> | undefined;
/**
 * Converts BoxSpace object values into class names.
 */
declare function getClassNames(size: Size, isMargin?: boolean): string | undefined;
/**
 * Converts BoxSpace object values into custom properties.
 */
declare function getVars(size: Size, basePrefix?: string): Record<string, string> | undefined;
export {};
