import React, { ChangeEvent, KeyboardEvent } from "react";
import { ChipDismissibleInputOptionProps, ChipDismissibleInputProps } from "../InternalChipDismissibleTypes";
import { ChipProps } from "../../Chip";
export declare function useInternalChipDismissibleInput({ options, isLoadingMore, onCustomOptionSelect, onOptionSelect, onSearch, onlyShowMenuOnSearch, autoSelectOnClickOutside, }: ChipDismissibleInputProps): {
    menuOpen: boolean;
    showInput: boolean;
    searchValue: string;
    shouldCancelBlur: boolean;
    menuId: string;
    inputRef: React.RefObject<HTMLInputElement>;
    activeOption: ChipDismissibleInputOptionProps;
    hasAvailableOptions: boolean;
    nextOptionIndex: number;
    previousOptionIndex: number;
    activeIndex: number;
    allOptions: ChipDismissibleInputOptionProps[];
    generateDescendantId: (index: number) => string;
    handleReset: () => void;
    handleOpenMenu: () => void;
    handleCloseMenu: () => void;
    handleCancelBlur: () => void;
    handleEnableBlur: () => void;
    handleBlur: () => void;
    handleFocus: () => void;
    handleSearchChange: (event: ChangeEvent<HTMLInputElement>) => void;
    handleSetActiveOnMouseOver: (index: number) => () => void;
    handleSelectOption: (selected: ChipDismissibleInputOptionProps) => void;
    handleShowInput: () => void;
    handleKeyDown: (event: KeyboardEvent<HTMLInputElement>) => void;
    handleDebouncedSearch: import("lodash").DebouncedFunc<(newSearchValue: string, newOptions?: ChipProps[]) => void>;
};
