'use strict';

var React = require('react');
var classnames = require('classnames');
var getMappedAtlantisSpaceToken = require('./getMappedAtlantisSpaceToken-cjs.js');

var styles = {"cluster":"kub1yKbFFN0-","sm":"_5IaWqMXiMqQ-","md":"vCly-qsW6uQ-","lg":"lmABTs-G-FA-","xl":"NHrDIukxI-o-","collapsed":"hkpPPbA3sRk-","spinning":"SNypFd3rgV8-"};

function Cluster({ children, justify, align, gap, collapseBelow, collapsed, autoWidth = false, as: Tag = "div", dataAttributes, ariaAttributes, role, id, UNSAFE_className, UNSAFE_style, }) {
    const spaceMapped = getMappedAtlantisSpaceToken.getMappedAtlantisSpaceToken(gap);
    return (React.createElement(Tag, Object.assign({ role: role, id: id }, dataAttributes, ariaAttributes, { style: Object.assign({ "--public-cluster-justify": justify, "--public-cluster-align": align, "--public-cluster-space": spaceMapped, "--public-cluster-width": autoWidth ? "auto" : "100%" }, UNSAFE_style === null || UNSAFE_style === void 0 ? void 0 : UNSAFE_style.container), className: classnames(styles.cluster, collapseBelow && styles[collapseBelow], collapsed ? styles.collapsed : undefined, UNSAFE_className === null || UNSAFE_className === void 0 ? void 0 : UNSAFE_className.container) }), children));
}

exports.Cluster = Cluster;
