import React__default from 'react';
import classnames from 'classnames';
import { g as getMappedAtlantisSpaceToken } from './getMappedAtlantisSpaceToken-es.js';

var styles = {"cluster":"kub1yKbFFN0-","sm":"_5IaWqMXiMqQ-","md":"vCly-qsW6uQ-","lg":"lmABTs-G-FA-","xl":"NHrDIukxI-o-","collapsed":"hkpPPbA3sRk-","spinning":"SNypFd3rgV8-"};

function Cluster({ children, justify, align, gap, collapseBelow, collapsed, autoWidth = false, as: Tag = "div", dataAttributes, ariaAttributes, role, id, UNSAFE_className, UNSAFE_style, }) {
    const spaceMapped = getMappedAtlantisSpaceToken(gap);
    return (React__default.createElement(Tag, Object.assign({ role: role, id: id }, dataAttributes, ariaAttributes, { style: Object.assign({ "--public-cluster-justify": justify, "--public-cluster-align": align, "--public-cluster-space": spaceMapped, "--public-cluster-width": autoWidth ? "auto" : "100%" }, UNSAFE_style === null || UNSAFE_style === void 0 ? void 0 : UNSAFE_style.container), className: classnames(styles.cluster, collapseBelow && styles[collapseBelow], collapsed ? styles.collapsed : undefined, UNSAFE_className === null || UNSAFE_className === void 0 ? void 0 : UNSAFE_className.container) }), children));
}

export { Cluster as C };
