'use strict';

var tslib_es6 = require('./tslib.es6-cjs.js');
var React = require('react');
var classnames = require('classnames');
var Icon = require('./Icon-cjs.js');
var Flex = require('./Flex-cjs.js');
var ComboboxProvider = require('./ComboboxProvider-cjs.js');

var styles = {"option":"HowvTX8-pw4-","spinning":"iwgbuC2MqzI-"};

function ComboboxOption(props) {
    const { customRender } = props, contentProps = tslib_es6.__rest(props, ["customRender"]);
    const { selected, selectionHandler } = React.useContext(ComboboxProvider.ComboboxContext);
    const isSelected = selected.some(selection => selection.id.toString() === props.id.toString());
    return (React.createElement("li", { key: props.id, tabIndex: -1, "data-selected": isSelected, role: "option", "aria-selected": isSelected, onClick: () => selectionHandler &&
            selectionHandler({ id: props.id, label: props.label }), className: classnames(styles.option) }, customRender ? (customRender(Object.assign(Object.assign({}, contentProps), { isSelected }))) : (React.createElement(InternalDefaultContent, Object.assign({}, contentProps, { isSelected: isSelected })))));
}
function InternalDefaultContent(props) {
    return (React.createElement(React.Fragment, null,
        React.createElement(Flex.Flex, { template: props.prefix ? ["shrink", "grow"] : ["grow"] },
            props.prefix,
            props.label),
        React.createElement("div", null, props.isSelected && (React.createElement(Icon.Icon, { name: "checkmark", color: "interactiveSubtle" })))));
}

exports.ComboboxOption = ComboboxOption;
