import { _ as __rest } from './tslib.es6-es.js';
import React__default, { useContext } from 'react';
import classnames from 'classnames';
import { I as Icon } from './Icon-es.js';
import { F as Flex } from './Flex-es.js';
import { a as ComboboxContext } from './ComboboxProvider-es.js';

var styles = {"option":"HowvTX8-pw4-","spinning":"iwgbuC2MqzI-"};

function ComboboxOption(props) {
    const { customRender } = props, contentProps = __rest(props, ["customRender"]);
    const { selected, selectionHandler } = useContext(ComboboxContext);
    const isSelected = selected.some(selection => selection.id.toString() === props.id.toString());
    return (React__default.createElement("li", { key: props.id, tabIndex: -1, "data-selected": isSelected, role: "option", "aria-selected": isSelected, onClick: () => selectionHandler &&
            selectionHandler({ id: props.id, label: props.label }), className: classnames(styles.option) }, customRender ? (customRender(Object.assign(Object.assign({}, contentProps), { isSelected }))) : (React__default.createElement(InternalDefaultContent, Object.assign({}, contentProps, { isSelected: isSelected })))));
}
function InternalDefaultContent(props) {
    return (React__default.createElement(React__default.Fragment, null,
        React__default.createElement(Flex, { template: props.prefix ? ["shrink", "grow"] : ["grow"] },
            props.prefix,
            props.label),
        React__default.createElement("div", null, props.isSelected && (React__default.createElement(Icon, { name: "checkmark", color: "interactiveSubtle" })))));
}

export { ComboboxOption as C };
