import { ReactNode } from "react";
import spacings from "./Spacing.module.css";
interface ContentProps {
    readonly children: ReactNode | ReactNode[];
    /**
     * The amount of vertical spacing between the children
     *
     * @default base
     */
    readonly spacing?: keyof typeof spacings;
    /**
     * Change the wrapping element to be one of the available
     * semantic tags.
     *
     * @default "div"
     */
    readonly type?: "section" | "aside" | "header" | "footer" | "article" | "main" | "div";
}
export declare function Content({ children, spacing, type, }: ContentProps): import("react").DetailedReactHTMLElement<{
    className: string;
}, HTMLElement>;
export {};
