import React from "react";
/**
 * Options for deciding how much information is shown to the user
 * days, hours, minutes, seconds
 */
type GranularityOptions = "dhms" | "hms" | "ms" | "s" | "dhm" | "dh" | "d";
interface CountdownProps {
    /**
     * The date that is being counted down to.
     * Value for date as a `string` should be in ISO 8601 format.
     */
    readonly date: Date | number | string;
    /**
     * Whether or not to present the unit of time to the user, or just the raw numbers.
     */
    readonly showUnits?: boolean;
    /**
     * Defines the time format presented
     * (e.g., dhms will show days, hours, minutes, and seconds)
     *
     * @default 'dhms'
     */
    readonly granularity?: GranularityOptions;
    /**
     * Callback when the countdown is done
     */
    onComplete?(): void;
}
export declare function Countdown({ date: inputDate, onComplete, showUnits, granularity, }: CountdownProps): React.JSX.Element;
export {};
