import React from "react";
import { DataListLayout } from "./components/DataListLayout";
import { DataListFilters } from "./components/DataListFilters";
import { DataListSearch } from "./components/DataListSearch";
import { DataListEmptyState } from "./components/DataListEmptyState";
import { DataListItemActions } from "./components/DataListItemActions";
import { DataListAction } from "./components/DataListAction";
import { DataListLayoutActions } from "./components/DataListLayoutActions";
import { DataListBulkActionProps, DataListObject, DataListProps } from "./DataList.types";
import { DataListBulkActions } from "./components/DataListBulkActions";
import { DataListStatusBar } from "./components/DataListStatusBar";
export declare function DataList<T extends DataListObject>({ selected, sorting, ...props }: DataListProps<T>): React.JSX.Element;
export declare namespace DataList {
    var Layout: typeof DataListLayout;
    var LayoutActions: typeof DataListLayoutActions;
    var EmptyState: typeof DataListEmptyState;
    var Filters: typeof DataListFilters;
    var Search: typeof DataListSearch;
    var ItemActions: typeof DataListItemActions;
    var ItemAction: typeof DataListAction;
    var BatchActions: typeof DataListBulkActions;
    var BatchAction: (props: DataListBulkActionProps) => React.JSX.Element;
    var StatusBar: typeof DataListStatusBar;
}
