import React, { ReactElement } from "react";
import { DataListHeader, DataListItemType, DataListItemTypeFromHeader, DataListObject } from "./DataList.types";
import { Breakpoints } from "./DataList.const";
/**
 * Return the child component that matches the `type` provided
 */
export declare function getCompoundComponent<T>(children: ReactElement | ReactElement[], type: ReactElement<T>["type"]): ReactElement<T> | undefined;
/**
 * Return all instances child component that matches the `type` provided
 */
export declare function getCompoundComponents<T>(children: ReactElement | ReactElement[], type: ReactElement<T>["type"]): ReactElement<T>[];
/**
 * Generate the default element the DataList would use on the data provided.
 */
export declare function generateListItemElement<T extends DataListObject>(item: T): DataListItemType<T[]>;
/**
 * Generate the header elements with the default styling
 */
export declare function generateHeaderElements<T extends DataListObject>(headers: DataListHeader<T>): DataListItemTypeFromHeader<T, DataListHeader<T>> | undefined;
export declare function sortBreakpoints(sizeProp: Breakpoints[]): ("xs" | "sm" | "md" | "lg" | "xl")[];
export declare function getExposedActions(childrenArray: ReactElement[], childCount?: number): React.ReactElement<any, string | React.JSXElementConstructor<any>>[];
