import { ColumnDef } from "@tanstack/react-table";
interface Data {
    name: string;
    house: string;
    region: string;
    sigil: string;
    isAlive: string;
}
interface RankingData {
    name: string;
    points: string;
    chance: number;
    power: string;
}
interface RoyaltyReportData {
    franchiseName: string;
    payment: string;
    royaltyRate: number;
    royaltyAmount: string;
}
export declare const data: Data[];
export declare const columns: ColumnDef<Data>[];
export declare const royaltyReportColumns: ColumnDef<RoyaltyReportData>[];
export declare const royaltyReportData: RoyaltyReportData[];
export declare const columnSizeData: RankingData[];
export declare const columSizeColumns: ({
    id: string;
    accessorKey: string;
    header: string;
    footer: string;
    enableResizing: boolean;
    cell: (info: {
        getValue: () => unknown;
    }) => unknown;
    size: number;
    minSize: number;
    maxSize: number;
} | {
    id: string;
    accessorKey: string;
    header: string;
    footer: string;
    cell: (info: {
        getValue: () => unknown;
    }) => unknown;
    size: number;
    minSize: number;
    maxSize: number;
    enableResizing?: undefined;
} | {
    id: string;
    accessorKey: string;
    header: string;
    cell: (info: {
        getValue: () => unknown;
    }) => unknown;
    size: number;
    minSize: number;
    maxSize: number;
    footer?: undefined;
    enableResizing?: undefined;
})[];
export {};
