import React, { ChangeEvent, ReactElement, RefObject } from "react";
import ReactDatePicker, { ReactDatePickerProps } from "react-datepicker";
export interface DatePickerActivatorProps extends Pick<ReactDatePickerProps, "value" | "id" | "ariaDescribedBy" | "ariaInvalid" | "ariaLabelledBy" | "ariaRequired"> {
    readonly activator?: ReactElement | ((props: DatePickerActivatorProps) => ReactElement);
    readonly fullWidth?: boolean;
    onBlur?(): void;
    onChange?(event?: ChangeEvent<HTMLInputElement | HTMLTextAreaElement | HTMLSelectElement>): void;
    onClick?(): void;
    onFocus?(): void;
    onKeyDown?(): void;
    readonly pickerRef: RefObject<ReactDatePicker>;
}
export declare const DatePickerActivator: React.ForwardRefExoticComponent<DatePickerActivatorProps & React.RefAttributes<HTMLElement>>;
