import React, { ReactNode } from "react";
export interface FormRef {
    submit(): void;
}
export interface FormProps {
    readonly children: ReactNode;
    /**
     * Callback for when the form has been sucessfully
     * submitted.
     */
    onSubmit?(): void;
    onStateChange?(formState: {
        isDirty: boolean;
        isValid: boolean;
    }): void;
}
export declare const Form: React.ForwardRefExoticComponent<FormProps & React.RefAttributes<FormRef>>;
