import React, { RefObject } from "react";
import { XOR } from "ts-xor";
import { Affix, FormFieldProps, Suffix } from "./FormFieldTypes";
interface AffixLabelProps extends Affix {
    readonly labelRef: RefObject<HTMLDivElement>;
    readonly variation?: "prefix" | "suffix";
}
/**
 * @internal Reach out to UX Foundations if using this component since it is possible it might change
 */
export declare function AffixLabel({ label, variation, labelRef, }: AffixLabelProps): React.JSX.Element | null;
/**
 * @internal Reach out to UX Foundations if using this component since it is possible it might change
 */
interface AffixIconProps extends Pick<FormFieldProps, "size"> {
    readonly variation?: "prefix" | "suffix";
}
export declare function AffixIcon({ icon, onClick, ariaLabel, variation, size, }: AffixIconProps & XOR<Affix, Suffix>): React.JSX.Element | null;
export {};
