import React from "react";
import { FormatFileProps } from "./types";
import { FileUpload } from "../InputFile";
export declare function FormatFile({ file, display, displaySize, onDelete, onClick, }: FormatFileProps): React.JSX.Element;
export declare namespace FormatFile {
    var DeleteButtonContainer: ({ children, className, isHidden, }: {
        readonly children: React.ReactNode;
        readonly className?: string;
        readonly isHidden?: boolean;
    }) => React.JSX.Element | null;
    var ProgressContainer: ({ isHidden, children, className, }: {
        readonly children: React.ReactNode;
        readonly className?: string;
        readonly isHidden?: boolean;
    }) => React.JSX.Element | null;
    var ThumbnailContainer: ({ children, className, }: {
        readonly children: React.ReactNode;
        readonly className?: string;
    }) => React.JSX.Element;
    var Body: ({ children, className, type, onClick, tabIndex, ariaBusy, isComplete, }: {
        readonly children: React.ReactNode;
        readonly className?: string;
        readonly type?: "button" | "submit" | "reset";
        readonly onClick?: React.MouseEventHandler<HTMLButtonElement | HTMLDivElement>;
        readonly tabIndex?: number;
        readonly ariaBusy?: boolean;
        readonly isComplete: boolean;
    }) => React.JSX.Element;
    var Expanded: ({ file, fileSize, isVisible, }: {
        readonly file: FileUpload;
        readonly fileSize: string;
        readonly isVisible: boolean;
    }) => React.JSX.Element | null;
    var Wrapper: ({ children, className, }: {
        readonly children: React.ReactNode;
        readonly className?: string;
    }) => React.JSX.Element;
    var DeleteButton: ({ onDelete, children, }: {
        readonly onDelete?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
        readonly children?: React.ReactNode;
    }) => React.JSX.Element;
}
