import React, { ReactNode } from "react";
import alignments from "./GridAlign.module.css";
import { GridCell } from "./GridCell";
interface GridProps {
    /**
     * Add spacing between elements.
     */
    readonly gap?: boolean;
    /**
     * Adjust the alignment of columns. We only support a few select properties
     * from `align-items` due to the nature of the other properties acting the
     * same. Read more about [align-items](https://developer.mozilla.org/en-US/docs/Web/CSS/align-items) property values.
     */
    readonly alignItems?: keyof typeof alignments;
    /**
     * `Grid.Cell` children
     */
    readonly children: ReactNode;
}
export declare const GRID_TEST_ID = "ATL-Grid";
export declare function Grid({ alignItems, gap, children, }: GridProps): React.JSX.Element;
export declare namespace Grid {
    var Cell: typeof GridCell;
}
export {};
