import React from "react";
/**
 * Breakpoints that we support
 */
declare const breakpoints: readonly ["xs", "sm", "md", "lg", "xl"];
/**
 *  Grab the type from breakpoints const
 */
type ValuesOf<T extends readonly unknown[]> = T[number];
type Breakpoints = ValuesOf<typeof breakpoints>;
type ColumnSizes = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12;
export interface GridCellProps {
    /**
     * Set how many columns wide the cell is in the grid
     */
    readonly size: {
        [Breakpoint in Breakpoints]?: ColumnSizes;
    };
    readonly children?: React.ReactNode;
}
export declare const GRID_CELL_TEST_ID = "ATL-Grid-GridCell";
export declare function GridCell({ size, children }: GridCellProps): React.JSX.Element;
export {};
