'use strict';

var React = require('react');
var classnames = require('classnames');
var Typography = require('./Typography-cjs.js');

var styles = {"inlineLabel":"M01SZy5EYFg-","base":"_0L5DuoQQ0N0-","large":"QKOUUH9-Fho-","larger":"GdJFaAMVrfU-","greyBlue":"_1KuDugNaT-o-","red":"bHju-S5Uytc-","orange":"hk1-OlPzFpM-","green":"ekQbbiBSxKk-","success":"YBvJuPW-YEI-","blue":"_5X5w6s0pPdw-","inactive":"lju-nyF9vX0-","navy":"nMlCD9k-Meg-","task":"HVMpHULM2PU-","yellow":"hOJmavXturw-","warning":"kfXKagw-wdE-","lime":"ZrdNg5b18oY-","purple":"df-Q7pKd2iI-","invoice":"WE3Qy5JUsN4-","pink":"-Wiy2k-i7tQ-","quote":"NoDP1qZvkds-","teal":"gc8t5abqWH4-","yellowGreen":"SeLhnnpqK70-","job":"L9FK1YwwCB8-","blueDark":"PZdC-xYFPok-","lightBlue":"_3JD9CXbxRQ8-","informative":"R-kgbH6qPZU-","indigo":"_6juDApQlcS0-","request":"MGcsvmjHlow-","spinning":"dre73387JG8-"};

function InlineLabel({ size = "base", color = "greyBlue", children, }) {
    const className = classnames(styles.inlineLabel, styles[size], styles[color]);
    const sizeMapper = {
        base: "small",
        large: "large",
        larger: "large",
    };
    return (React.createElement("span", { className: className },
        React.createElement(Typography.Typography, { element: "span", size: sizeMapper[size] }, children)));
}

exports.InlineLabel = InlineLabel;
