import React from "react";
import { AvatarProps } from "../Avatar";
import { FileUpload, UploadParams } from "../InputFile";
interface InputAvatarProps extends Omit<AvatarProps, "size" | "UNSAFE_className" | "UNSAFE_style"> {
    /**
     * A callback that receives a file object and returns a `UploadParams` needed
     * to upload the file.
     *
     * More info is available at:
     * https://atlantis.getjobber.com/?path=/docs/components-forms-and-inputs-inputfile--docs#getuploadparams
     */
    getUploadParams(file: File): UploadParams | Promise<UploadParams>;
    /**
     * Triggered when an image is changed.
     */
    onChange?(file?: FileUpload): void;
    /**
     * Triggered when an image upload has completed.
     */
    onUploadComplete?(file?: FileUpload): void;
}
export declare function InputAvatar({ getUploadParams, onUploadComplete, onChange, ...avatarProps }: InputAvatarProps): React.JSX.Element;
export {};
