import { ChangeEvent, FocusEvent, KeyboardEvent } from "react";
import { InputEmailRebuiltProps } from "../InputEmail.types";
export interface UseInputEmailActionsProps extends Pick<InputEmailRebuiltProps, "onChange" | "onEnter" | "onFocus" | "onBlur" | "onKeyDown"> {
    inputRef?: React.RefObject<HTMLInputElement>;
}
export declare function useInputEmailActions({ onChange, inputRef, onEnter, onFocus, onBlur, onKeyDown, }: UseInputEmailActionsProps): {
    handleClear: () => void;
    handleChange: (event: ChangeEvent<HTMLInputElement>) => void;
    handleKeyDown: (event: KeyboardEvent<HTMLInputElement>) => void;
    handleFocus: (event: FocusEvent<HTMLInputElement>) => void;
    handleBlur: (event?: FocusEvent) => void;
};
