import React from "react";
import { CommonFormFieldProps, FormFieldProps } from "../FormField";
export interface InputNumberProps extends Omit<CommonFormFieldProps, "version">, Pick<FormFieldProps, "maxLength" | "autocomplete" | "max" | "min" | "onEnter" | "onFocus" | "onBlur" | "inputRef" | "validations" | "readonly" | "defaultValue" | "keyboard" | "prefix" | "suffix"> {
    readonly value?: number;
    /**
     * Experimental:
     * Determine which version of the FormField to use.
     */
    readonly version?: 1;
}
export interface InputNumberRef {
    blur(): void;
    focus(): void;
}
export declare const InputNumber: React.ForwardRefExoticComponent<InputNumberProps & React.RefAttributes<InputNumberRef>>;
