import { RefObject } from "react";
import { RowRange } from "./InputText.types";
/**
 * Hook for resizing a textarea based on its content. The textarea will grow up to the max number of rows specified.
 */
export declare function useTextAreaResize({ rows, value, inputRef, wrapperRef, }: {
    rows?: number | RowRange;
    value: string | number | Date | undefined;
    inputRef: RefObject<HTMLTextAreaElement | HTMLInputElement>;
    wrapperRef: RefObject<HTMLDivElement>;
}): {
    resize: () => void;
    rowRange: RowRange;
};
