import React from "react";
interface MarkdownProps {
    /**
     * Rich text content.
     */
    readonly content: string;
    /**
     * Open all links in new tab.
     */
    readonly externalLink?: boolean;
    /**
     * Only allow basic inline elements such as `_italic_`, `**bold**`, and
     * `[link name](url)`
     */
    readonly basicUsage?: boolean;
    /**
     *
     * Callback that gets called when a link in the text is clicked.
     * @param target the target element that was clicked
     */
    readonly onLinkClick?: (target: HTMLAnchorElement) => void;
}
export declare function Markdown({ content, externalLink, basicUsage, onLinkClick, }: MarkdownProps): React.JSX.Element;
export {};
