import React, { MutableRefObject } from "react";
import sizes from "./ModalSizes.module.css";
import { ModalContextType } from "./Modal.types";
export declare const ModalContext: React.Context<ModalContextType>;
export interface ModalProviderProps {
    readonly children: React.ReactNode;
    readonly size?: keyof typeof sizes;
    readonly open?: boolean;
    readonly onRequestClose?: () => void;
    readonly activatorRef?: MutableRefObject<HTMLElement | null> | null;
    readonly dismissible?: boolean;
    readonly modalLabelledBy?: string;
}
export declare function ModalProvider({ children, open, size, onRequestClose, activatorRef: refProp, dismissible, modalLabelledBy, }: ModalProviderProps): React.JSX.Element;
export declare function useModalContext(): ModalContextType;
