import React, { Dispatch } from "react";
import { Options } from "./types";
interface MultiSelectProps {
    /**
     * The label to be displayed by default when no options are selected
     */
    readonly defaultLabel: string;
    /**
     * The label to be displayed when all options are selected
     */
    readonly allSelectedLabel: string;
    /**
     * List of options to be checked
     */
    readonly options: Options;
    /**
     * Change handler
     */
    readonly onOptionsChange: Dispatch<React.SetStateAction<Options>>;
    /**
     * Adjusts the interface to either have small or large spacing.
     */
    readonly size?: "small" | "large";
}
export declare function MultiSelect({ defaultLabel, allSelectedLabel, options, onOptionsChange, size, }: MultiSelectProps): React.JSX.Element;
export {};
