import React from "react";
import sizes from "./ProgressBarSizes.module.css";
interface ProgressBarProps {
    /**
     * The current step that the progress bar is on.
     */
    readonly currentStep: number;
    /**
     * The total steps to use. For percentages you can set this to 100.
     */
    readonly totalSteps: number;
    /**
     * Set the size of the progress bar
     * @default base
     */
    readonly size?: keyof typeof sizes;
    /**
     * Set the variation of the progress bar
     * @default progress
     */
    readonly variation?: "progress" | "stepped";
}
export declare function ProgressBar({ currentStep, totalSteps, size, variation, }: ProgressBarProps): React.JSX.Element;
export {};
