import React, { ReactElement } from "react";
interface RadioGroupProps {
    readonly children: ReactElement | ReactElement[];
    /**
     * Defines the default value that will be pre-selected in the radio group.
     */
    readonly value: string | number;
    /**
     * Change handler for the RadioGroup.
     *
     * @param {string} newValue
     */
    onChange(newValue: string | number): void;
    /**
     * Defines the aria label that describes the radio group.
     */
    readonly ariaLabel: string;
    /**
     * The name of the radio group, that links the radio options back up
     * to the group.
     *
     * @default useId()
     */
    readonly name?: string;
}
export declare function RadioGroup({ children, value, ariaLabel, onChange, name, }: RadioGroupProps): React.JSX.Element;
export {};
