'use strict';

var React = require('react');
var classnames = require('classnames');
var getMappedAtlantisSpaceToken = require('./getMappedAtlantisSpaceToken-cjs.js');

var styles = {"responsiveSwitcher":"BQqkfvwFjbQ-","limit-1":"zpPbVPrtiLc-","limit-2":"FC2KY5S6p6E-","limit-3":"XJQ0uo0TZ2w-","limit-4":"QmUWX7VCL0A-","limit-5":"_0gKXd8nPCKU-","limit-6":"DvGgLdlE8Ac-","limit-7":"_4PxEtfehh4s-","limit-8":"DZPW3Q-N5ik-","limit-9":"_2BL9H-tmzMk-","spinning":"_71sUKXu-3yM-"};

function ResponsiveSwitcher({ children, threshold, gap = getMappedAtlantisSpaceToken.spaceTokens.base, limit = 2, as: Tag = "div", dataAttributes, ariaAttributes, role, id, UNSAFE_className, UNSAFE_style, }) {
    return (React.createElement(Tag, Object.assign({ role: role, id: id }, dataAttributes, ariaAttributes, { className: classnames(styles.responsiveSwitcher, styles[`limit-${limit}`], UNSAFE_className === null || UNSAFE_className === void 0 ? void 0 : UNSAFE_className.container), style: Object.assign({ "--public-responsive-switcher-threshold": threshold, "--public-responsive-switcher-space": getMappedAtlantisSpaceToken.getMappedAtlantisSpaceToken(gap), "--public-responsive-switcher-limit": limit }, UNSAFE_style === null || UNSAFE_style === void 0 ? void 0 : UNSAFE_style.container) }), children));
}

exports.ResponsiveSwitcher = ResponsiveSwitcher;
