import React, { PropsWithChildren } from "react";
interface SegmentedControlOptionProps<TValue extends string | number> extends PropsWithChildren {
    /**
     * The unique value associated with this option. This value is used to determine
     * which option is selected and is passed to the onSelectValue callback.
     */
    readonly value: TValue;
    /**
     * An aria-label that describes the option.
     */
    readonly ariaLabel?: string;
}
export declare function SegmentedControlOption<TValue extends string | number>({ value, children, ariaLabel, }: SegmentedControlOptionProps<TValue>): React.JSX.Element;
export {};
