import { ChangeEvent } from "react";
export interface UseSelectFormFieldProps {
    readonly id: string;
    readonly name: string;
    readonly disabled?: boolean;
    readonly autofocus?: boolean;
    readonly description?: string;
    readonly inline?: boolean;
    readonly error?: string;
    readonly invalid?: boolean;
    readonly value?: string | number;
    readonly handleChange: (event: ChangeEvent<HTMLSelectElement>) => void;
    readonly handleBlur: () => void;
    readonly handleFocus: () => void;
}
export interface UseSelectFormFieldReturn {
    readonly fieldProps: {
        readonly id: string;
        readonly name: string;
        readonly disabled?: boolean;
        readonly autoFocus?: boolean;
        readonly onChange: (event: ChangeEvent<HTMLSelectElement>) => void;
        readonly onBlur: () => void;
        readonly onFocus: () => void;
        readonly value?: string | number;
        readonly "aria-describedby"?: string;
    };
    readonly descriptionIdentifier: string;
}
/**
 * Hook for managing the props of a Select component.
 * Extracted from FormField's useAtlantisFormField.
 */
export declare function useSelectFormField({ id, name, disabled, autofocus, description, inline, value, handleChange, handleBlur, handleFocus, }: UseSelectFormFieldProps): UseSelectFormFieldReturn;
