'use strict';

var React = require('react');
var classnames = require('classnames');
var getMappedAtlantisSpaceToken = require('./getMappedAtlantisSpaceToken-cjs.js');

var styles = {"sidekick":"Hx--3IsyLgs-","left":"bevb052oaa4-","withWidthLeft":"v17EfPAcJZI-","withWidthRight":"_3hUKFPIws6o-","right":"_22dEgb17I90-","sm":"_3yK4CuMFyqw-","md":"lY-7fyPMF6Y-","lg":"Ti0avsNfvTw-","xl":"_9dXm70WomU8-","collapsed":"dN25lKXiqB0-","spinning":"_3hsWavpv0DY-"};

function SideKick({ children, sideWidth, contentMinWidth = "50%", gap = "var(--space-base)", onRight, collapseBelow, collapsed, autoWidth = false, as: Tag = "div", dataAttributes, ariaAttributes, role, id, UNSAFE_className, UNSAFE_style, }) {
    return (React.createElement(Tag, Object.assign({ role: role, id: id }, dataAttributes, ariaAttributes, { style: Object.assign({ "--public-sidekick-side-width": sideWidth, "--public-sidekick-min-width": contentMinWidth, "--public-sidekick-space": getMappedAtlantisSpaceToken.getMappedAtlantisSpaceToken(gap), "--public-sidekick-width": autoWidth ? "auto" : "100%" }, UNSAFE_style === null || UNSAFE_style === void 0 ? void 0 : UNSAFE_style.container), className: classnames(styles.sidekick, onRight ? styles.right : styles.left, sideWidth
            ? onRight
                ? styles.withWidthRight
                : styles.withWidthLeft
            : null, collapseBelow && styles[collapseBelow], collapsed ? styles.collapsed : undefined, UNSAFE_className === null || UNSAFE_className === void 0 ? void 0 : UNSAFE_className.container) }), children));
}

exports.SideKick = SideKick;
