import { StatusIndicatorType } from "../StatusIndicator/StatusIndicator.type";
export interface StatusLabelType {
    readonly statusLabel: string;
    readonly statusType?: StatusIndicatorType;
}
interface StatusLabelProps {
    /**
     * Text to display
     */
    readonly label: string;
    /**
     * Alignment of label
     *
     * @default "start"
     */
    readonly alignment?: "start" | "end";
    /**
     * Status color of the indicator beside text
     *
     * @default "inactive"
     */
    readonly status: StatusIndicatorType;
}
export declare function StatusLabel({ label, alignment, status, }: StatusLabelProps): JSX.Element;
export {};
