'use strict';

var React = require('react');
var Typography = require('./Typography-cjs.js');

function Text({ variation = "default", size = "base", align = "start", element = "p", children, maxLines = "unlimited", UNSAFE_className, UNSAFE_style, }) {
    const textColors = {
        default: "text",
        subdued: "textSecondary",
        success: "success",
        error: "critical",
        warn: "warning",
        info: "informative",
        disabled: "disabled",
    };
    const maxLineToNumber = {
        single: 1,
        small: 2,
        base: 4,
        large: 8,
        larger: 16,
        unlimited: undefined,
    };
    return (React.createElement(Typography.Typography, { element: element, textColor: textColors[variation], size: size, numberOfLines: maxLineToNumber[maxLines], align: align, UNSAFE_className: UNSAFE_className, UNSAFE_style: UNSAFE_style }, children));
}

exports.Text = Text;
