import React, { PropsWithChildren } from "react";
import { TypographyProps } from "../Typography";
type TextElement = Extract<TypographyProps["element"], "p" | "b" | "em" | "dd" | "dt" | "strong" | "span">;
export interface TextProps {
    /**
     * The HTML element to render the text as.
     * @default "p"
     */
    readonly element?: TextElement;
    readonly maxLines?: "single" | "small" | "base" | "large" | "larger" | "unlimited";
    readonly variation?: "default" | "subdued" | "success" | "error" | "warn" | "info" | "disabled";
    readonly align?: "start" | "center" | "end";
    readonly size?: "small" | "base" | "large";
    /**
     * **Use at your own risk:** Custom classNames for specific elements. This should only be used as a
     * **last resort**. Using this may result in unexpected side effects.
     * More information in the [Customizing components Guide](https://atlantis.getjobber.com/guides/customizing-components).
     */
    readonly UNSAFE_className?: TypographyProps["UNSAFE_className"];
    /**
     * **Use at your own risk:** Custom style for specific elements. This should only be used as a
     * **last resort**. Using this may result in unexpected side effects.
     * More information in the [Customizing components Guide](https://atlantis.getjobber.com/guides/customizing-components).
     */
    readonly UNSAFE_style?: TypographyProps["UNSAFE_style"];
}
export declare function Text({ variation, size, align, element, children, maxLines, UNSAFE_className, UNSAFE_style, }: PropsWithChildren<TextProps>): React.JSX.Element;
export {};
