import React from "react";
import { XOR } from "ts-xor";
interface BaseToastProps {
    readonly variation?: "info" | "success" | "error";
    readonly message: string;
    readonly id?: number;
}
interface ActionToastProps extends BaseToastProps {
    /**
     * **Deprecated**: action will be removed in the next major version
     * @deprecated
     */
    action(): void;
    /**
     * **Deprecated**: actionLabel will be removed in the next major version
     * @deprecated
     */
    actionLabel: string;
}
export type ToastProps = XOR<BaseToastProps, ActionToastProps>;
type ToastPropsInternal = Omit<ToastProps, "id">;
export interface ToastRef {
    add(props: ToastProps): void;
}
export declare function Toast({ message, variation, action, actionLabel, }: ToastPropsInternal): React.JSX.Element;
export {};
