'use strict';

var AnimatedPresence = require('./AnimatedPresence-cjs.js');
var AnimatedSwitcher = require('./AnimatedSwitcher-cjs.js');
var AtlantisContext = require('./AtlantisContext-cjs.js');
var AtlantisThemeContext = require('./AtlantisThemeContext-cjs.js');
var updateTheme = require('./updateTheme-cjs.js');
var Autocomplete = require('./Autocomplete-cjs.js');
require('react');
require('classnames');
var Heading = require('./Heading-cjs.js');
var Text = require('./Text-cjs.js');
var Icon = require('./Icon-cjs.js');
require('./useSafeLayoutEffect-cjs.js');
require('react-popper');
require('./useIsMounted-cjs.js');
require('react-dom');
var Avatar = require('./Avatar-cjs.js');
var Banner = require('./Banner-cjs.js');
var Box = require('./Box-cjs.js');
var Button = require('./Button-cjs.js');
var ButtonDismiss = require('./ButtonDismiss-cjs.js');
var Card = require('./Card-cjs.js');
var Cluster = require('./Cluster-cjs.js');
var Container = require('./Container-cjs.js');
var Cover = require('./Cover-cjs.js');
var Checkbox_index = require('./Checkbox/index.cjs');
var Chip = require('./Chip-cjs.js');
var ChipDismissible = require('./ChipDismissible-cjs.js');
var Chips = require('./Chips-cjs.js');
var Combobox = require('./Combobox-cjs.js');
var ComboboxProvider = require('./ComboboxProvider-cjs.js');
var ConfirmationModal = require('./ConfirmationModal-cjs.js');
var Content = require('./Content-cjs.js');
var ContentBlock = require('./ContentBlock-cjs.js');
var Countdown = require('./Countdown-cjs.js');
var DataDump = require('./DataDump-cjs.js');
var DataList = require('./DataList-cjs.js');
var DataTable = require('./DataTable-cjs.js');
require('./useResizeObserver-cjs.js');
var reactTable = require('@tanstack/react-table');
var DatePicker = require('./DatePicker-cjs.js');
var DescriptionList = require('./DescriptionList-cjs.js');
var Disclosure = require('./Disclosure-cjs.js');
var Divider = require('./Divider-cjs.js');
var DrawerGrid = require('./DrawerGrid-cjs.js');
var Emphasis = require('./Emphasis-cjs.js');
var FeatureSwitch = require('./FeatureSwitch-cjs.js');
var Flex = require('./Flex-cjs.js');
var Form = require('./Form-cjs.js');
var FormField = require('./FormField-cjs.js');
var FormatDate = require('./FormatDate-cjs.js');
var FormatEmail = require('./FormatEmail-cjs.js');
var FormatFile = require('./FormatFile-cjs.js');
var FormatRelativeDateTime = require('./FormatRelativeDateTime-cjs.js');
var FormatTime = require('./FormatTime-cjs.js');
var Frame = require('./Frame-cjs.js');
var Gallery = require('./Gallery-cjs.js');
var Glimmer = require('./Glimmer-cjs.js');
var Grid = require('./Grid-cjs.js');
var InlineLabel = require('./InlineLabel-cjs.js');
var InputAvatar = require('./InputAvatar-cjs.js');
var InputDate_index = require('./InputDate/index.cjs');
var InputEmail_index = require('./InputEmail/index.cjs');
var InputFile = require('./InputFile-cjs.js');
var InputGroup = require('./InputGroup-cjs.js');
var InputNumber_index = require('./InputNumber/index.cjs');
var InputPassword = require('./InputPassword-cjs.js');
var InputPhoneNumber_index = require('./InputPhoneNumber/index.cjs');
var InputText_index = require('./InputText/index.cjs');
var InputTime_index = require('./InputTime/index.cjs');
var InputValidation = require('./InputValidation-cjs.js');
var LightBox = require('./LightBox-cjs.js');
var Link = require('./Link-cjs.js');
var List = require('./List-cjs.js');
var Markdown = require('./Markdown-cjs.js');
var Menu = require('./Menu-cjs.js');
var Modal_index = require('./Modal/index.cjs');
var MultiSelect = require('./MultiSelect-cjs.js');
var Page = require('./Page-cjs.js');
var Popover = require('./Popover-cjs.js');
var ProgressBar = require('./ProgressBar-cjs.js');
var RadioGroup = require('./RadioGroup-cjs.js');
var RecurringSelect = require('./RecurringSelect-cjs.js');
var DayOfMonthSelect = require('./DayOfMonthSelect-cjs.js');
var ResponsiveSwitcher = require('./ResponsiveSwitcher-cjs.js');
var Select_index = require('./Select/index.cjs');
var SegmentedControl = require('./SegmentedControl-cjs.js');
var SideDrawer = require('./SideDrawer-cjs.js');
var SideKick = require('./SideKick-cjs.js');
var Spinner = require('./Spinner-cjs.js');
var StatusIndicator = require('./StatusIndicator-cjs.js');
var StatusLabel = require('./StatusLabel-cjs.js');
var Stack = require('./Stack-cjs.js');
var Switch = require('./Switch-cjs.js');
var Body = require('./Body-cjs.js');
var Tabs = require('./Tabs-cjs.js');
var Thumbnail = require('./Thumbnail-cjs.js');
var Tiles = require('./Tiles-cjs.js');
var showToast = require('./showToast-cjs.js');
var Tooltip = require('./Tooltip-cjs.js');
var Typography = require('./Typography-cjs.js');
require('framer-motion');
require('@jobber/design');
require('./_commonjsHelpers-cjs.js');
require('./identity-cjs.js');
require('./isTypedArray-cjs.js');
require('./isObjectLike-cjs.js');
require('./_baseAssignValue-cjs.js');
require('./_baseFor-cjs.js');
require('./keysIn-cjs.js');
require('./_isIterateeCall-cjs.js');
require('./_setToString-cjs.js');
require('./tslib.es6-cjs.js');
require('./useOnKeyDown-cjs.js');
require('./useDebounce-cjs.js');
require('./debounce-cjs.js');
require('./isSymbol-cjs.js');
require('color');
require('./BannerIcon-cjs.js');
require('react-router-dom');
require('./getMappedAtlantisSpaceToken-cjs.js');
require('react-hook-form');
require('./useInView-cjs.js');
require('./useChildComponent-cjs.js');
require('./InternalChipDismissible-cjs.js');
require('./useScrollToActive-cjs.js');
require('./_baseFlatten-cjs.js');
require('./_baseGet-cjs.js');
require('./_getTag-cjs.js');
require('./_baseEach-cjs.js');
require('./ComboboxContent-cjs.js');
require('./floating-ui.react-cjs.js');
require('./ComboboxContentSearch-cjs.js');
require('./ComboboxContentList-cjs.js');
require('./ComboboxOption-cjs.js');
require('./ComboboxLoadMore-cjs.js');
require('./ComboboxContentHeader-cjs.js');
require('./useRefocusOnActivator-cjs.js');
require('./useFocusTrap-cjs.js');
require('./constants-cjs.js');
require('./ComboboxAction-cjs.js');
require('./ComboboxTrigger-cjs.js');
require('./noop-cjs.js');
require('./ComboboxActivator-cjs.js');
require('./index-cjs.js');
require('./DataList.module-cjs.js');
require('./DataListTotalCount-cjs.js');
require('./DataListLoadingState-cjs.js');
require('./DataListContext-cjs.js');
require('./useActiveLayout-cjs.js');
require('./useResponsiveSizing-cjs.js');
require('./DataList.const-cjs.js');
require('./DataListLayout-cjs.js');
require('./DataListItems-cjs.js');
require('./DataListLayoutContext-cjs.js');
require('./DataListItem-cjs.js');
require('./DataListItemActions-cjs.js');
require('./DataListActions-cjs.js');
require('./DataList.utils-cjs.js');
require('./DataListTags-cjs.js');
require('./DataListHeaderTile-cjs.js');
require('./DataListSortingOptions-cjs.js');
require('./DataListLayoutContext-cjs2.js');
require('./DataListItemActionsOverflow-cjs.js');
require('./DataListActionsMenu-cjs.js');
require('./useBatchSelect-cjs.js');
require('./DataListItemClickable-cjs.js');
require('./DataListHeader-cjs.js');
require('./DataListBulkActions-cjs.js');
require('./DataListFilters-cjs.js');
require('./DataListSort-cjs.js');
require('./DataListOverflowFade-cjs.js');
require('./DataListStickyHeader-cjs.js');
require('./DataListSearch-cjs.js');
require('./DataListEmptyState-cjs.js');
require('./DataListLoadMore-cjs.js');
require('./DataListAction-cjs.js');
require('./DataListLayoutActions-cjs.js');
require('./DataListStatusBar-cjs.js');
require('./throttle-cjs.js');
require('./omit-cjs.js');
require('./useFormFieldFocus-cjs.js');
require('filesize');
require('./GridCell-cjs.js');
require('axios');
require('./AtlantisPortalContent-cjs.js');
require('@jobber/formatters');
require('react-dom/client');

/**
 * Checks if the event is a plain left click
 * @param evt - The event to check
 * @returns True if the event is a plain left click, false otherwise
 */
function isNormalClick(evt) {
    return (evt.button === 0 &&
        !evt.metaKey &&
        !evt.ctrlKey &&
        !evt.shiftKey &&
        !evt.altKey);
}

exports.AnimatedPresence = AnimatedPresence.AnimatedPresence;
exports.AnimatedSwitcher = AnimatedSwitcher.AnimatedSwitcher;
exports.AtlantisContext = AtlantisContext.AtlantisContext;
exports.atlantisContextDefaultValues = AtlantisContext.atlantisContextDefaultValues;
exports.useAtlantisContext = AtlantisContext.useAtlantisContext;
exports.AtlantisThemeContextProvider = AtlantisThemeContext.AtlantisThemeContextProvider;
exports.THEME_CHANGE_EVENT = AtlantisThemeContext.THEME_CHANGE_EVENT;
exports.atlantisThemeContextDefaultValues = AtlantisThemeContext.atlantisThemeContextDefaultValues;
exports.useAtlantisTheme = AtlantisThemeContext.useAtlantisTheme;
exports.updateTheme = updateTheme.updateTheme;
exports.Autocomplete = Autocomplete.Autocomplete;
exports.Heading = Heading.Heading;
exports.Text = Text.Text;
exports.Icon = Icon.Icon;
exports.Avatar = Avatar.Avatar;
exports.Banner = Banner.Banner;
exports.Box = Box.Box;
exports.Button = Button.Button;
exports.useButtonContext = Button.useButtonContext;
exports.useButtonStyles = Button.useButtonStyles;
exports.ButtonDismiss = ButtonDismiss.ButtonDismiss;
exports.Card = Card.Card;
exports.Cluster = Cluster.Cluster;
exports.Container = Container.Container;
exports.Cover = Cover.Cover;
exports.Checkbox = Checkbox_index.Checkbox;
exports.Chip = Chip.ChipNamespace;
exports.ChipDismissible = ChipDismissible.ChipDismissible;
exports.ChipSelectable = ChipDismissible.ChipSelectable;
exports.Chips = Chips.Chips;
exports.Combobox = Combobox.Combobox;
exports.ComboboxContextProvider = ComboboxProvider.ComboboxContextProvider;
exports.ConfirmationModal = ConfirmationModal.ConfirmationModal;
exports.Content = Content.Content;
exports.ContentBlock = ContentBlock.ContentBlock;
exports.Countdown = Countdown.Countdown;
exports.DataDump = DataDump.DataDump;
exports.DataList = DataList.DataList;
exports.DataTable = DataTable.DataTable;
Object.defineProperty(exports, "createColumnHelper", {
    enumerable: true,
    get: function () { return reactTable.createColumnHelper; }
});
exports.DatePicker = DatePicker.DatePicker;
exports.DescriptionList = DescriptionList.DescriptionList;
exports.Disclosure = Disclosure.Disclosure;
exports.Divider = Divider.Divider;
exports.Drawer = DrawerGrid.Drawer;
exports.DrawerGrid = DrawerGrid.DrawerGrid;
exports.Emphasis = Emphasis.Emphasis;
exports.FeatureSwitch = FeatureSwitch.FeatureSwitch;
exports.Flex = Flex.Flex;
exports.Form = Form.Form;
exports.AffixIcon = FormField.AffixIcon;
exports.AffixLabel = FormField.AffixLabel;
exports.FormField = FormField.FormField;
exports.FormFieldInputHorizontalWrapper = FormField.FormFieldInputHorizontalWrapper;
exports.FormFieldInputWrapperStyles = FormField.FormFieldInputWrapperStyles;
exports.FormFieldLabel = FormField.FormFieldLabel;
exports.FormFieldWrapper = FormField.FormFieldWrapper;
exports.FormFieldWrapperMain = FormField.FormFieldWrapperMain;
exports.FormFieldWrapperToolbar = FormField.FormFieldWrapperToolbar;
exports.useAtlantisFormField = FormField.useAtlantisFormField;
exports.useAtlantisFormFieldActions = FormField.useAtlantisFormFieldActions;
exports.useAtlantisFormFieldName = FormField.useAtlantisFormFieldName;
exports.useAtlantisReactHookForm = FormField.useAtlantisReactHookForm;
exports.useFormFieldWrapperStyles = FormField.useFormFieldWrapperStyles;
exports.FormatDate = FormatDate.FormatDate;
exports.strFormatDate = FormatDate.strFormatDate;
exports.FormatEmail = FormatEmail.FormatEmail;
exports.FormatFile = FormatFile.FormatFile;
exports.useFormatFile = FormatFile.useFormatFile;
exports.useFormatFileStyles = FormatFile.useFormatFileStyles;
exports.FormatRelativeDateTime = FormatRelativeDateTime.FormatRelativeDateTime;
exports.FormatTime = FormatTime.FormatTime;
exports.Frame = Frame.Frame;
exports.Gallery = Gallery.Gallery;
exports.GLIMMER_TEST_ID = Glimmer.GLIMMER_TEST_ID;
exports.Glimmer = Glimmer.Glimmer;
exports.GRID_TEST_ID = Grid.GRID_TEST_ID;
exports.Grid = Grid.Grid;
exports.InlineLabel = InlineLabel.InlineLabel;
exports.InputAvatar = InputAvatar.InputAvatar;
exports.InputDate = InputDate_index.InputDate;
exports.InputEmail = InputEmail_index.InputEmail;
exports.InputFile = InputFile.InputFile;
exports.InputFileContentContext = InputFile.InputFileContentContext;
exports.updateFiles = InputFile.updateFiles;
exports.useInputFileContentContext = InputFile.useInputFileContentContext;
exports.InputGroup = InputGroup.InputGroup;
exports.InputNumber = InputNumber_index.InputNumber;
exports.InputPassword = InputPassword.InputPassword;
exports.InputPhoneNumber = InputPhoneNumber_index.InputPhoneNumber;
exports.InputText = InputText_index.InputText;
exports.InputTime = InputTime_index.InputTime;
exports.InputValidation = InputValidation.InputValidation;
exports.LightBox = LightBox.LightBox;
exports.Link = Link.Link;
exports.List = List.List;
exports.ListItem = List.ListItem;
exports.Markdown = Markdown.Markdown;
exports.Menu = Menu.Menu;
exports.Modal = Modal_index.Modal;
exports.useModalContext = Modal_index.useModalContext;
exports.useModalStyles = Modal_index.useModalStyles;
exports.MultiSelect = MultiSelect.MultiSelect;
exports.Page = Page.Page;
exports.Popover = Popover.Popover;
exports.usePopoverContext = Popover.usePopoverContext;
exports.usePopoverStyles = Popover.usePopoverStyles;
exports.ProgressBar = ProgressBar.ProgressBar;
exports.RadioGroup = RadioGroup.RadioGroup;
exports.RadioOption = RadioGroup.RadioOption;
exports.RecurringSelect = RecurringSelect.RecurringSelect;
Object.defineProperty(exports, "DurationPeriod", {
    enumerable: true,
    get: function () { return DayOfMonthSelect.DurationPeriod; }
});
Object.defineProperty(exports, "WeekDay", {
    enumerable: true,
    get: function () { return DayOfMonthSelect.WeekDay; }
});
exports.ResponsiveSwitcher = ResponsiveSwitcher.ResponsiveSwitcher;
exports.Option = Select_index.Option;
exports.Select = Select_index.Select;
exports.SegmentedControl = SegmentedControl.SegmentedControl;
exports.SegmentedControlContext = SegmentedControl.SegmentedControlContext;
exports.SegmentedControlProvider = SegmentedControl.SegmentedControlProvider;
exports.useSegmentedControl = SegmentedControl.useSegmentedControl;
exports.SideDrawer = SideDrawer.SideDrawer;
exports.SideKick = SideKick.SideKick;
exports.Spinner = Spinner.Spinner;
exports.StatusIndicator = StatusIndicator.StatusIndicator;
exports.StatusLabel = StatusLabel.StatusLabel;
exports.Stack = Stack.Stack;
exports.Switch = Switch.Switch;
exports.Body = Body.Body;
exports.Cell = Body.Cell;
exports.CellCurrency = Body.CellCurrency;
exports.CellNumeric = Body.CellNumeric;
exports.Footer = Body.Footer;
exports.Header = Body.Header;
exports.Row = Body.Row;
exports.Table = Body.Table;
exports.Tab = Tabs.Tab;
exports.Tabs = Tabs.Tabs;
exports.Thumbnail = Thumbnail.Thumbnail;
exports.Tiles = Tiles.Tiles;
exports.Toast = showToast.Toast;
exports.showToast = showToast.showToast;
exports.Tooltip = Tooltip.Tooltip;
exports.Typography = Typography.Typography;
exports.isNormalClick = isNormalClick;
