import React__default from 'react';

var useInView$1 = {};

Object.defineProperty(useInView$1, "__esModule", { value: true });
var useInView_2 = useInView$1.useInView = useInView;
const react_1 = React__default;
function useInView() {
    const ref = (0, react_1.useRef)(null);
    const [isInView, setIsInView] = (0, react_1.useState)(false);
    const handleIntersection = (0, react_1.useCallback)(entries => setIsInView(entries[0].isIntersecting), [setIsInView]);
    (0, react_1.useEffect)(() => {
        if (!window.IntersectionObserver)
            return;
        const observer = new IntersectionObserver(handleIntersection);
        ref.current && observer.observe(ref.current);
        return () => {
            ref.current && observer.unobserve(ref.current);
        };
    }, [handleIntersection, ref.current]);
    return [ref, isInView];
}

export { useInView_2 as u };
