import React__default from 'react';

var useOnKeyDown$1 = {};

Object.defineProperty(useOnKeyDown$1, "__esModule", { value: true });
var useOnKeyDown_2 = useOnKeyDown$1.useOnKeyDown = useOnKeyDown;
const react_1 = React__default;
function useOnKeyDown(callback, keys) {
    (0, react_1.useEffect)(() => {
        window.addEventListener("keydown", handler);
        return () => {
            window.removeEventListener("keydown", handler);
        };
    }, [handler]);
    function handler(event) {
        const keyboardEvent = event;
        if (typeof keys === "string" && keyboardEvent.key === keys) {
            callback(event);
            return;
        }
        if (Array.isArray(keys) &&
            keys.some(item => {
                if (typeof item === "string")
                    return keyboardEvent.key === item;
                return Object.keys(item).every(index => keyboardEvent[index] === item[index]);
            })) {
            callback(event);
            return;
        }
        if (!Array.isArray(keys) &&
            typeof keys !== "string" &&
            Object.keys(keys).every(index => keyboardEvent[index] === keys[index])) {
            callback(event);
            return;
        }
    }
}

export { useOnKeyDown_2 as u };
