import debounce from "lodash/debounce";
type AnyFunction = (...args: any[]) => any;
/**
 * A hook to easily manage debounced functions, including their cleanup.
 * @param func The function to debounce.
 * @param wait The number of milliseconds to delay.
 * @param options Optional debounce settings.
 * @returns The debounced function.
 */
export declare function useDebounce<T extends AnyFunction>(func: T, wait: number, options?: Parameters<typeof debounce>[2]): import("lodash").DebouncedFunc<(...args: Parameters<T>) => any>;
export {};
