import { ChangeEvent, FocusEvent } from "react";
import { InputDateRebuiltProps } from "./InputDate.types";
import { DatePickerActivatorProps } from "../DatePicker/DatePickerActivator";
export interface useInputDateActivatorActionsProps extends Pick<InputDateRebuiltProps, "onFocus" | "onBlur"> {
    onChange: DatePickerActivatorProps["onChange"];
}
/**
 * Combines the actions on the InputDate such as onChange, onFocus, onBlur to forward event handler passed to the InputDate component to the DatePicker component.
 * DO not repeat this pattern. We are doing this as a proof of concept relating to the refactoring of Form inputs to see what can be removed.
 */
export declare function useInputDateActivatorActions({ onChange, onBlur, onFocus, }: useInputDateActivatorActionsProps): {
    handleBlur: (event: FocusEvent<HTMLInputElement>) => void;
    handleChange: (_: unknown, event?: ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    handleFocus: (event: FocusEvent<HTMLInputElement>) => void;
    isFocused: boolean;
};
