import { ChangeEvent, FocusEvent, KeyboardEvent } from "react";
import { InputPhoneNumberRebuiltProps } from "../InputPhoneNumber.types";
export interface useInputPhoneActionsProps extends Pick<InputPhoneNumberRebuiltProps, "onChange" | "onEnter" | "onFocus" | "onBlur" | "onKeyDown"> {
    inputRef?: React.RefObject<HTMLInputElement>;
}
/**
 * Combines the actions on the InputPhoneNumber such as onChange, onEnter, onFocus, onBlur, and onClear to forward information to the consumers of the InputPhoneNumber.
 * Do not repeat this pattern. We are doing this as a proof of concept relating to the refactoring of Form inputs to see what can be removed.
 */
export declare function useInputPhoneActions({ onChange, inputRef, onFocus, onBlur, onKeyDown, onEnter, }: useInputPhoneActionsProps): {
    handleClear: () => void;
    handleChange: (event: ChangeEvent<HTMLInputElement>) => void;
    handleFocus: (event: FocusEvent<HTMLInputElement>) => void;
    handleBlur: (event?: FocusEvent<HTMLInputElement>) => void;
    handleKeyDown: (event: KeyboardEvent<HTMLInputElement>) => void;
};
