import { ChangeEvent, FocusEvent, KeyboardEvent } from "react";
import { InputTextRebuiltProps } from "./InputText.types";
export interface useInputTextActionsProps extends Pick<InputTextRebuiltProps, "onChange" | "onEnter" | "onFocus" | "onBlur" | "onKeyDown"> {
    inputRef?: React.RefObject<HTMLInputElement | HTMLTextAreaElement>;
}
/**
 * Combines the actions on the InputText such as onChange, onEnter, onFocus, onBlur, and onClear to forward information to the consumers of the InputText.
 * DO not repeat this pattern. We are doing this as a proof of concept relating to the refactoring of Form inputs to see what can be removed.
 */
export declare function useInputTextActions({ onChange, inputRef, onEnter, onFocus, onBlur, onKeyDown, }: useInputTextActionsProps): {
    handleClear: () => void;
    handleChange: (event: ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    handleKeyDown: (event: KeyboardEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    handleFocus: (event: FocusEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    handleBlur: (event?: FocusEvent) => void;
};
